---
title: '<div>: The Content Division element'
slug: Web/HTML/Element/div
tags:
  - Content Division
  - Element
  - HTML
  - HTML grouping content
  - 'HTML:Flow content'
  - Layout
  - Reference
  - Web
  - div
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML Content Division element</strong> (<strong><code>&lt;div&gt;</code></strong>) is the generic container for flow content. It has no effect on the content or layout until styled in some way using {{glossary("CSS")}} (e.g. styling is directly applied to it, or some kind of layout model like <a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout">Flexbox</a> is applied to its parent element).</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/div.html","tabbed-standard")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<p>As a "pure" container, the <code>&lt;div&gt;</code> element does not inherently represent anything. Instead, it's used to group content so it can be easily styled using the {{htmlattrxref("class")}} or {{htmlattrxref("id")}} attributes, marking a section of a document as being written in a different language (using the {{htmlattrxref("lang")}} attribute), and so on.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>.<br>
    Or (in {{glossary("WHATWG")}} HTML): If the parent is a {{HTMLElement("dl")}} element: one or more {{HTMLElement("dt")}} elements followed by one or more {{HTMLElement("dd")}} elements, optionally intermixed with {{HTMLElement("script")}} and {{HTMLElement("template")}} elements.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>.<br>
    Or (in {{glossary("WHATWG")}} HTML): {{HTMLElement("dl")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLDivElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<div class="notecard note">
<p><strong>Note:</strong> The <code>align</code> attribute is obsolete; do not use it anymore. Instead, you should use CSS properties or techniques such as <a href="/en-US/docs/Web/CSS/CSS_Grid_Layout">CSS Grid</a> or <a href="/en-US/docs/Learn/CSS/CSS_layout/Flexbox">CSS Flexbox</a> to align and position <code>&lt;div&gt;</code> elements on the page.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<ul>
 <li>The <code>&lt;div&gt;</code> element should be used only when no other semantic element (such as {{HTMLElement("article")}} or {{HTMLElement("nav")}}) is appropriate.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="A_simple_example">A simple example</h3>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p&gt;Any kind of content here. Such as
  &amp;lt;p&amp;gt;, &amp;lt;table&amp;gt;. You name it!&lt;/p&gt;
&lt;/div&gt; </pre>

<p>The result looks like this:</p>

<p>{{EmbedLiveSample("A_simple_example", 650, 60)}}</p>

<h3 id="A_styled_example">A styled example</h3>

<p>This example creates a shadowed box by applying a style to the <code>&lt;div&gt;</code> using CSS. Note the use of the {{htmlattrxref("class")}} attribute on the <code>&lt;div&gt;</code> to apply the style named <code>"shadowbox"</code> to the element.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="shadowbox"&gt;
  &lt;p&gt;Here's a very interesting note displayed in a
  lovely shadowed box.&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.shadowbox {
  width: 15em;
  border: 1px solid #333;
  box-shadow: 8px 8px 5px #444;
  padding: 8px 12px;
  background-image: linear-gradient(180deg, #fff, #ddd 40%, #ccc);
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("A_styled_example", 650, 120)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'grouping-content.html#the-div-element', '&lt;div&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No changes since the latest snapshot</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'grouping-content.html#the-div-element', '&lt;div&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Obsoleted <code>align</code></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/global.html#h-7.5.4', '&lt;div&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.div")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Semantic sectioning elements: {{HTMLElement("section")}}, {{HTMLElement("article")}}, {{HTMLElement("nav")}}, {{HTMLElement("header")}}, {{HTMLElement("footer")}}</li>
 <li>{{HTMLElement("span")}} element for styling of phrasing content</li>
</ul>
